package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

public class WxEnterpriseQwDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private int wxSecurityType;
    private String wxEnterpriseId;
    // 好办 助手
    private String dkCorpid;
    // 会员小程序dk
    private String memberCorpid;
    // 第三方
    private String thirdCorpid;
    // 好办小程序应用id
    private String agentId;
    // 好办小程序名称
    private String agentName;

    // 第三方使用的加密的userid
    public boolean needOpenUserId3th() {
        return this.wxSecurityType == 2 || this.wxSecurityType == 3;
    }

    public boolean needOpenUserIdDk() {
        return this.wxSecurityType == 2 || this.wxSecurityType == 4;
    }

    public int getWxSecurityType() {
        return wxSecurityType;
    }

    public void setWxSecurityType(int wxSecurityType) {
        this.wxSecurityType = wxSecurityType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getDkCorpid() {
        return dkCorpid;
    }

    public String getMemberCorpid() {
        return memberCorpid;
    }

    public String getThirdCorpid() {
        return thirdCorpid;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setDkCorpid(String dkCorpid) {
        this.dkCorpid = dkCorpid;
    }

    public void setMemberCorpid(String memberCorpid) {
        this.memberCorpid = memberCorpid;
    }

    public void setThirdCorpid(String thirdCorpid) {
        this.thirdCorpid = thirdCorpid;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }
}
